
#pragma once

#include <iostream>
#include <cstring>
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "PublicFun.h"
#include "Good.h"

class GoodList
{

public:
	void Init(int unx,int uny,int uchoice,int xuanze,int xuan);

	void Show(WPARAM KeyCode);
	void PubInit(int choice);
	int KeyDown(WPARAM KeyCode);
	void GetCityNum();
	void GetGoodNum();
	void GetGoodName(int g);
	void GetGoodUse(int g);
	void GetGoodChange(int g);
	void GetListStyle(int x);
	

//private:
		 Good good[GOODMAX];
		 int statf;
		 int statf2;
		 char goodname[10];
		 char goodchange[10];
		 char gooduseway[10];
		 
		 int goodowned[GOODMAX];

		 int unx;
		 int uny;
		 int number;
		 int choice;
		 int goodnum;
		 int herogoodnum;

		 int flagu;
		 int flagd;
		 int tmpfx;
		 int statbtp;
		 int count;
		 int listno;
		 int goodowner;

};
